Target version:    

Resolution: Duplicate   

Description

In our company, some users are not responsible for entering there spent time entries. The project manager does it for them.

There does not seem to be a way now in redmine to add/edit time entries on behalf of other users, but I think this would be a nice

feature.

This has also been requested in the following topics :

http://www.redmine.org/boards/2/topics/14973

http://www.redmine.org/boards/1/topics/12158

http://www.redmine.org/boards/1/topics/9885

There is a patch that was once submitted to make this possible, but I believe that it does not work anymore :

#3848

This issue was also reported on the redmine backlog plugin, but I believe it should have been reported here instead :

http://dev.redminebacklogs.net/issues/231

I don't know if this would require much work (sorry, I am not familiar with Ruby at all), but would really like to see this in a future

release !

Related issues:

Related to Redmine - Feature #9276: Log Time on an issue assigned to other Closed 2011-09-19

Has duplicate Redmine - Feature #6486: Log time for other users Closed 2010-09-25

Is duplicate of Redmine - Feature #3848: Permission to log time for another user Closed 2009-09-11

History

#1 - 2011-08-05 01:12 - Lars Dornheim

+1

We also need this functionality for some roles. When project members are ill or on holidays and forgot to log their spent times, then we can not set it

in the system. But we can change their existing time log entries. Why we should not be able to create new ones on their behalf? We really need this

functionality.

#2 - 2011-08-23 10:13 - Jérôme BATAILLE

We also need this feature, we will include it in a larger enhancement

#3 - 2011-09-21 13:45 - Alexey Abraham

+1

I desperately need such a functionality too.

#4 - 2011-11-01 11:57 - Brian Kjelin Olsen

+1

That's the function we are missing.

We are wasting so much time trying to pull colleagues and follow up time records.

It is also cumbersome to five people each will record time for a meeting if one can do it for them all five at once.

#5 - 2011-11-01 11:59 - Brian Kjelin Olsen

Also see feature #8505
#6 - 2013-04-03 17:30 - Filou Centrinov

In our company, some users are not responsible for entering there spent time entries. The project manager does it for them.

 Just create a new role for the project manager. You can configure rights of adding/viewing/editing in "roles and permissions".

Duplicates: #6486, #9276

#7 - 2013-04-04 09:11 - Brian Kjelin Olsen

Filou Centrinov wrote:

In our company, some users are not responsible for entering there spent time entries. The project manager does it for them.

 Just create a new role for the project manager. You can configure rights of adding/viewing/editing in "roles and permissions".

Duplicates: #6486, #9276

 The problem is that it isn't possible to get permissions to add time entries for others, you can only edit.

#8 - 2013-04-04 09:25 - Toshi MARUYAMA

- Description updated

#9 - 2017-09-08 12:49 - Marco Descher

+1 for this request

#10 - 2018-05-05 23:29 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

I've added a new patch which adds this feature to #3848. I'm closing this ticket as duplicate because I don't find any different request here.

#11 - 2018-05-05 23:30 - Marius BĂLTEANU

- Related to deleted (Feature #3848: Permission to log time for another user)

#12 - 2018-05-05 23:30 - Marius BĂLTEANU

- Is duplicate of Feature #3848: Permission to log time for another user added

Powered by TCPDF (www.tcpdf.org)

2025-07-06 2/2

https://www.redmine.org/issues/6486
https://www.redmine.org/issues/9276
https://www.redmine.org/issues/6486
https://www.redmine.org/issues/9276
https://www.redmine.org/issues/3848
http://www.tcpdf.org

